# layer.cpp File Reference

Layer class implementation. More...

`#include "canvas.h"`
`#include "layer.h"`
`#include "render.h"`
`#include "value.h"`
`#include "layer_bitmap.h"`
`#include "layer_mime.h"`
`#include "context.h"`
`#include "paramdesc.h"`
`#include "layer_solidcolor.h"`
`#include "layer_polygon.h"`
`#include "layer_pastecanvas.h"`
`#include "layer_motionblur.h"`
`#include "layer_duplicate.h"`
`#include "valuenode_const.h"`
`#include "transform.h"`
`#include "rect.h"`
`#include "guid.h"`
`#include <sigc++/adaptors/bind.h>`

## Defines

#define | SYNFIG_NO_ANGLE
#define | INCLUDE_LAYER(class)
#define | LAYER_ALIAS(class, alias)

## Variables

static Layer::Book * | _layer_book
struct _LayerCounter | _layer_counter

## Detailed Description

Layer class implementation.

$Id$

## Define Documentation

#define SYNFIG_NO_ANGLE

#define INCLUDE_LAYER | ( | class |  | ) |

Value:

    synfig::Layer::book() [synfig::String(class::name__)] =     \
            BookEntry(class::create,                                \
                      class::name__,                                \
                      dgettext("synfig", class::local_name__),      \
                      class::category__,                            \
                      class::cvs_id__,                              \
                      class::version__)

Referenced by synfig::Layer::subsys_init().

#define LAYER_ALIAS | ( | class,
|  | alias |  | ) |

Value:

    synfig::Layer::book()[synfig::String(alias)] =              \
            BookEntry(class::create,                                \
                      alias,                                        \
                      alias,                                        \
                      CATEGORY_DO_NOT_USE,                          \
                      class::cvs_id__,                              \
                      class::version__)

Referenced by synfig::Layer::subsys_init().

## Variable Documentation

Layer::Book* _layer_book `[static]`

Referenced by synfig::Layer::book(), synfig::Layer::subsys_init(), and synfig::Layer::subsys_stop().

struct _LayerCounter _layer_counter